Bug 16835 - use of title attribute for instructions results in inaccessible content
use of title attribute for instructions results in inaccessible content
Status: RESOLVED FIXED
Product: HTML WG
Classification: Unclassified
Component: HTML5 spec
unspecified
PC Windows NT
: P3 normal
: ---
Assigned To: steve faulkner
HTML WG Bugzilla archive list
: a11y
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-24 11:39 UTC by steve faulkner
Modified: 2013-03-17 18:21 UTC (History)
5 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description steve faulkner 2012-04-24 11:39:19 UTC
the spec suggests user agents use the title attribute for description strings that may be displayed at any time. Due to user agents not implementing 'tooltips' accessible the content is not available to keyboard only users until a incorrect pattern has been put in.

"When an input element has a pattern attribute specified, authors should include a title attribute to give a description of the pattern. User agents may use the contents of this attribute, if it is present, when informing the user that the pattern is not matched, or at any other suitable time, such as in a tooltip or read out by assistive technology when the control gains focus."
http://dev.w3.org/html5/spec/common-input-element-attributes.html#attr-input-pattern

suggest adding authoring advice to mitigate this for example:

"authors should not rely on this method, also provide a description of the pattern in text so that all users can have access to the information"
Comment 1 contributor 2012-07-18 07:20:31 UTC
This bug was cloned to create bug 17939 as part of operation convergence.
Comment 2 steve faulkner 2013-03-17 18:21:26 UTC
EDITOR'S RESPONSE: This is an Editor's Response to your comment. If you are satisfied with this response, please change the state of this bug to CLOSED. If you have additional information and would like the editor to reconsider, please reopen this bug. If you would like to escalate the issue to the full HTML Working Group, please add the TrackerRequest keyword to this bug, and suggest title and text for the tracker issue; or you may create a tracker issue yourself, if you are able to do so. For more details, see this document:
   http://dev.w3.org/html5/decision-policy/decision-policy.html

Status: accepted
Change Description: added advice to http://www.w3.org/html/wg/drafts/html/master/forms.html#attr-input-pattern
Rationale: the spec did not match reality in its advice, it does now.

refer to http://lists.w3.org/Archives/Public/public-html/2013Mar/0118.html for pointer to HTML WG discussion.